!set title=Perímetro y diferencia
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
language=es
leftrange=-5.000000
rightrange=5.000000
author=Gang XIAO
email=xiao@unice.fr
computeanswer=no
precision=10000

ansorder=r
varcnt=12
prevarcnt=11
postvarcnt=0
replycnt=1
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

tmp0=!randint 4, 15

val6=$[rint($(tmp0))]
val7=$[rint($val6*4)]
tmp0=!randint 4, 15

val8=$[rint($val6+$(tmp0))]
val9=$[rint($val6*$val8)]
val10=$[rint(2*($val6+$val8))]
val11=$[rint($val8-$val6)]
val12=$[rint($val11*2)]
tmp0=!randitem 0,1

val13=$[rint($(tmp0))]

!ifval $val13=0
val14=$[rint($val6)]
!else
val14=$[rint($val8)]
!endif

!ifval $val13=0
val15=Anchura
!else
val15=Longitud
!endif

!ifval $val13=0
val16=anchura
!else
val16=longitud
!endif
replytype1=units
replyname1=$val15
replygood1=$val14 cm
question=__EXECUTED_1692754_EXERCISE__
solution=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()El perímetro de un rectángulo es $val10 cm. Sabiendo que su longitud es $val11 cm mayor que su anchura, calcular la $val16.
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()<center>	 $val10 cm = perímetro = 2(longitud + anchura) = 4 &times; anchura + 2&times; $val11 cm,	</center> <p>de donde<br><center>	 4 &times; anchura = $val10 - $val12 cm = $val7 cm,	<br></center>y<p><center>	 anchura = $val7/4 cm = $val6 cm, longitud = $val6 + $val11 cm = $val8 cm.	</center> <p>
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=6,7,8,10,11,12,16
embedcnt=0
